Subject: Re: [PATCH net-next 0/4] net: dsa: Plug in PHYLINK support

From: Andrew Lunn <[email-masked]>
Date: Mon, 19 Mar 2018 14:44:38 +0100

> I think I will proceed differently for v2:
> 
> - introduce DSA phylink_mac_ops in dsa_switch_ops, such that drivers can
> define those as preliminary commits, those won't be used by
> net/dsa/slave.c just yet though
> 
> - have all relevant drivers implement phylink_mac_ops such that the
> pluming is there and functional
> 
> - switch net/dsa/slave.c to using PHYLINK
> 
> That way, we should avoid any breakage in between and have an "atomic"
> switch between PHYLIB and PHYLINK.

Hi Florian

That sounds good. Maybe we can also convert ZII devel B to using SFP
at the same time?

I can take a look at implementing the Marvell phylink_mac_ops.

  Andrew